#
# spec file for package libswe

Name:           libswe
Summary:        Swiss Ephemeris Library
Version:        1.80.00.0002
Release:        1
License:        GPLv2+
Group:          Applications/Productivity
Url:            http://swissephauto.blackpatchpanel.com/

Source0:        http://download.gna.org/swissephauto/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libswe is a C library for the Swiss Ephemeris

The Swiss Ephemeris is based upon the latest planetary and lunar
ephemeris, DE405/406, developed by NASA's Jet Propulsion
Laboratory. The original integration, DE405, covered the years 3000 BC
to 3000 AD and required 550 Mb of disk space. DE406 is a compressed
version of DE405 which requires 200 MB while maintaining a precision
of better than 1 m for the moon and 25 m for the planets.

%package        devel
Summary:        Development files for libswe
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description    devel
The libswe-devel package contains libraries and header files, man pages,
and documentation for developing applications that use libswe.

%package        bin
Summary:        Development files for libswe
Group:          Applications/Productivity
Requires:       %{name} = %{version}

%description    bin
The libswe-bin package contains executables and man pages for the
basic binary contained in the libswe package.

%package        -n swe-basic-data
BuildArch:      noarch
Summary:        Basic data required to use libswe
Group:          Applications/Productivity

%description    -n swe-basic-data
basic data files for the libswe package
This package includes basic data files needed by libswe, the Swiss Ephemeris.
The basic data consists of these files:
/usr/share/libswe/ephe/sedeltat.txt.inactive
/usr/share/libswe/ephe/sefstars.txt
/usr/share/libswe/ephe/seleapsec.txt
/usr/share/libswe/ephe/seorbel.txt
/usr/share/libswe/ephe/fixstars.cat
The Swiss Ephemeris library can be used without installed data,
if the user provides that data in her own private directory
and points to it with SE_EPHE_PATH.

%prep
%setup -q

%build
./configure --bindir=%{_bindir} --libdir=%{_libdir} --includedir=%{_includedir} --mandir=%{_mandir} --datarootdir=%{_datadir} --
make

%install
%__make install DESTDIR=%{buildroot}
install -m644 AUTHORS %{buildroot}%{_defaultdocdir}/libswe/
install -m644 ChangeLog %{buildroot}%{_defaultdocdir}/libswe/
install -m644 COPYING %{buildroot}%{_defaultdocdir}/libswe/
install -m644 NEWS %{buildroot}%{_defaultdocdir}/libswe/
install -m644 README %{buildroot}%{_defaultdocdir}/libswe/

%clean
rm -rf %{buildroot}

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libswe.so
%{_libdir}/libswe.so.0
%{_libdir}/pkgconfig/libswe-1.80.00.pc
%attr(644, root, root) %{_libdir}/libswe.so.0.3.0
%attr(644, root, root) %{_libdir}/libswe.a
%attr(644, root, root) %{_libdir}/libswe.la
%attr(644, root, root) %{_mandir}/man3/libswe.3.gz
%attr(-, root, root) %{_defaultdocdir}/libswe/

%files bin
%defattr(-,root,root,-)
%attr(755, root, root) %{_bindir}/swemini
%attr(755, root, root) %{_bindir}/swetest
%attr(644, root, root) %{_mandir}/man1/swemini.1.gz
%attr(644, root, root) %{_mandir}/man1/swetest.1.gz

%files devel
%defattr(-,root,root,-)
%attr(-, root, root) %{_includedir}/

%files -n swe-basic-data
%defattr(-,root,root,-)
%attr(-, root, root) %{_datadir}/libswe/ephe/


%changelog
* Tue Oct 18 2016 Marco Bignami <m.bignami@unknown-domain.no-ip.net> 1.80.00.0002-1
 - Changed sources
* Tue Oct 18 2016 Marco Bignami <m.bignami@unknown-domain.no-ip.net> 1.80.00-1
 - Created spec file
